Sukhavita Clinic - Bug #3008

ESS mobile Android untuk attandance end time tidak sesuai dengan yang di input
08/21/2024 02:56 PM - Regina Tasya

Status: Closed Start date: 08/21/2024
Priority: Normal Due date:

Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours

Description
Dear kak shofwan,

untuk saat ini jika req attandance di mobile untuk End time jika diisi 16.15 yang masuk ke runbizdata 04.15

ReglD Sequence BizProcessID TableReference  FieldlD DataSequence Value

3 178 1 Attendancekasy ATTMOBILEEASY AttendanceType 1 1000
178 1 AttendanceBasy ATTMOBILEEASY EndDate 1 20240820
178 1 AttendanceEasy  ATTMOBILEEASY EndTime 1 0415
178 1 Attendanceasy ATTMOBILEEASY Motes 1 From Mobile
178 1 AttendanceBasy  ATTMOBILEEASY StartDate 1 20240820
178 1 AttendanceEasy  ATTMOBILEEASY  StartTime 1 0800

& NULL NULL MULL MWULL MULL NULL MNULL

-- dan juga untuk notes ingin dibuat jangan mandatory

reqid: 178

terima kasih

History

#1 - 08/21/2024 03:00 PM - Regina Tasya

- Description updated

#2 - 08/23/2024 05:33 PM - shofwan shiddiq
- File clipboard-202408231732-rh1be.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to M Azid Wahyudi

json

{"worlflow_id":null,"status":"Submit","workflow_name":"AttendanceEasy","absence_type":null,"quota_from":null,"quota_to":null,"delegate_to":null,"dura
tion":null,"duration_ovt":"","remaining_quota":null,"description":"Submit
Attendance","action":"200","comment":null,"date":null,"date_from":"2024-08-23","date_to0":"2024-08-24","time_from":"00:00:00","time_t0":"17:00:00","n

otes":"","reason":

request_no":"0","office":"","latitude":"","longitude":"","day_type":null,"attendance_type":"5000"}

Dear Azid, saat submit ke API time to nya bener 17:00, tapi pas masuk ke RUNBIZ malah ke convert jadi 05:00, harusnya PM malah jadi AM

https://api-mobile-easy.minovais.com/api/wf/requestWithoutAttachment
TableReference

ATTMOEBILEEASY
#3 - 08/23/2024 05:40 PM - shofwan shiddiq

FieldID

AttendanceType

EndDate
EndTime
Notes
StartDate
StartTime:

DataSequence

1
1
1
1
1
1

Walue

5000
20240824
0500

From Mobile
20240823
1200

Kalau workflow_name=0Overtime dan Attendance sudah benar, hanya di AttendanceEasy saja yang salah

#4 - 08/27/2024 11:32 AM - M Azid Wahyudi

- Assignee changed from M Azid Wahyudi to Regina Tasya

Dear tasya , udah bisa di test ya

Package :
MinovalS.Mobile.WorkFlow.dll /formattime

makasih

#5 - 08/28/2024 04:19 PM - Regina Tasya

- File clipboard-202408281619-kmlif0.png added

- Status changed from QA Test to Closed

sudah benar terima kasih mas
